<?xml version="1.0"  encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:param name="mask_execution_id" />
<xsl:param name="mask_execution_assert_id" />
<xsl:param name="rownr" />
<xsl:param name="colnr" />
<xsl:template match="/">
<xsl:variable name="row" select="number($rownr)-1" /> 
<xsl:variable name="col" select="number($colnr)-1" /> 
<!--<xsl:text>DEBUG</xsl:text><xsl:value-of select="/ergebnisse/ergebnis/ergebniselement/sqlerg/row[@no=$row]/col[@id=$col]/wert" /><xsl:text>
ROW: </xsl:text>
<xsl:value-of select="$row" /><xsl:text>
COL: </xsl:text>
<xsl:value-of select="$col" />-->
<xsl:variable name="result_value"> 
<xsl:choose>
<xsl:when test="/ergebnisse/ergebnis/ergebniselement/sqlerg/row[@no=$row]/col[@id=$col]/wert!=''
and string(number(/ergebnisse/ergebnis/ergebniselement/sqlerg/row[@no=$row]/col[@id=$col]/wert)) != 'NaN'">
<xsl:value-of select="/ergebnisse/ergebnis/ergebniselement/sqlerg/row[@no=$row]/col[@id=$col]/wert" />
</xsl:when>
<xsl:otherwise>
<xsl:text>null::integer</xsl:text>
</xsl:otherwise>
</xsl:choose>
</xsl:variable>

<xsl:text>

--freemarker template

insert into qa_mask_execution_assert_result(
mask_execution_assert_id,
mask_execution_result_id,
result_value)
select </xsl:text><xsl:value-of select="$mask_execution_assert_id" /><xsl:text>,T.mask_execution_result_id,</xsl:text><xsl:value-of select="$result_value" />
<xsl:text>
from tmp_result T;

</xsl:text>
</xsl:template>
</xsl:stylesheet>
