--(c) 2024 Daniel Quathamer
--freemarker template
<sqlvars>
<sqlvar name="sos_stg_aggr_exists">
select sp_table_exists('sos_stg_aggr') from xdummy
</sqlvar> 
<sqlvar name="qa_tablecomp_profile_is_active"><![CDATA[
select 1 from xdummy where 0 < (select count(*) from qa_tablecomp_profile P where P.uniquename='sos_stud_astat' and is_active=1)
union
select 0 from xdummy where 0 = (select count(*) from qa_tablecomp_profile P where P.uniquename='sos_stud_astat' and is_active=1)

]]></sqlvar> 
</sqlvars>

<#if qa_tablecomp_profile_is_active==1 && sos_stg_aggr_exists==1>

truncate table qa_sos_stg_aggr_int;

insert into qa_sos_stg_aggr_int(
ca12_staat,
geschlecht,
hrst,
studiengang_nr,
fach_nr,
fach_sem_zahl,
sem_rueck_beur_ein,
kz_rueck_beur_ein,
hssem,
stuart,
stutyp,
stufrm,
summe,
matrikel_nr,
stg,
abschluss,
stichtag)
SELECT 
S.ca12_staat,
S.geschlecht,
val(H.astat) as hrst,
S.studiengang_nr,
S.fach_nr,
S.fach_sem_zahl,
S.sem_rueck_beur_ein,
S.kz_rueck_beur_ein,
S.hssem,
S.stuart,
S.stutyp,
S.stufrm,
S.summe,
S.matrikel_nr,
D.stg_astat as stg,
D.abschluss_astat as abschluss,
S.stichtag
FROM dim_studiengang D, sos_stg_aggr S left outer join sos_k_hrst H
on (H.apnr=S.hrst)
where S.tid_stg=D.tid
and S.stichtag in (select I.tid from sos_stichtag I where appl_key in ('0','1'))
--and S.kz_rueck_beur_ein !=5
;

</#if>

